# Getting Started

Welcome to your new foam workspace, let's get you started.

> if you are already familiar with Foam and don't need help, just remove the `docs` folder for a clean repo.

Let's go through this to set up your repo:

- [ ] if you are new with VsCode, see how to [[get-started-with-vscode]] and how to [[use-keyboard-shortcuts-for-editing]]

- [ ] you can navigate the links between your notes by `cmd+click` (or `ctrl+click` on Windows) on a wiki link. You can go back with `ctrl+-`. Here, go to your [[inbox]]

- [ ] to see how your notes are connected, execute the `Foam: Show Graph` command. See [[graph-visualization]].

- [ ] #tags can be used to further organize your content. Look at the `Tag Explorer` view on the left panel to find and navigate the tags in your knowledge base. See [[tags-and-tag-explorer]].

- [ ] You can also paste images in your Foam, just press `cmd+alt+v` to create the image file and link to it from your note. See [[paste-images-from-clipboard]].

- [ ] You can use Foam for your daily notes, or journaling. Execute now the `Foam: Open Daily Note` command to create a new file in your `journal` folder. See [[daily-notes]].

- [ ] Want to see how to manage your tasks? Go to the [[todo]] note

- [ ] The section at the end of this file contains wikilink definitions, which enable navigation of your notes from GitHub's web UI, and in general to make `[[wikilinks]]` understood by any markdown parser. See [[link-reference-definitions]].

- [ ] To explore all the Foam settings, press `cmd+,`, then `Extensions > Foam`

- [ ] Living within VsCode, Foam can be customized in many ways! Look at the [Foam Recipes](https://foambubble.github.io/foam/recipes/recipes) for ideas!

- [ ] Join the [Foam community on Discord](https://discord.gg/HV2tn2FpEk), introduce yourself and leave a message on how you found Foam and how the onboarding went :) We are always keen to do better

## Advanced Features

- [ ] You can create [[note-templates]] for things like book reviews, people, daily notes (coming soon), and more!

## About Foam

Foam doesn't do all this magic on its own, it relies on some amazing extensions. Look at their documentation if you want to fully unlock the possibilities!

Here they are:
- [Markdown All In One](https://marketplace.visualstudio.com/items?itemName=yzhang.markdown-all-in-one)
- [Markdown Notes](https://marketplace.visualstudio.com/items?itemName=kortina.vscode-markdown-notes)
- [vscode-paste-image](https://github.com/mushanshitiancai/vscode-paste-image)

A special mention to [Markdown Links](https://marketplace.visualstudio.com/items?itemName=tchayen.markdown-links), which has now been replaced by our graph but was foundational to Foam's beginnings.

[//begin]: # "Autogenerated link references for markdown compatibility"
[get-started-with-vscode]: docs/how-to/get-started-with-vscode.md "Getting started with VsCode"
[use-keyboard-shortcuts-for-editing]: docs/how-to/use-keyboard-shortcuts-for-editing.md "Use Keyboard Shortcuts for Editing"
[inbox]: inbox.md "Inbox"
[graph-visualization]: docs/features/graph-visualization.md "Graph Visualization"
[tags-and-tag-explorer]: docs/features/tags-and-tag-explorer.md "Tags and Tag Explorer"
[paste-images-from-clipboard]: docs/how-to/paste-images-from-clipboard.md "Paste Images from Clipboard"
[daily-notes]: docs/features/daily-notes.md "Daily Notes"
[todo]: docs/features/todo.md "Todo"
[link-reference-definitions]: docs/features/link-reference-definitions.md "Link Reference Definitions"
[note-templates]: docs/features/note-templates.md "Note Templates"
[//end]: # "Autogenerated link references"
